Search test suites

GET https://api.ap1.datadoghq.com/api/v2/synthetics/suites/searchhttps://api.ap2.datadoghq.com/api/v2/synthetics/suites/searchhttps://api.datadoghq.eu/api/v2/synthetics/suites/searchhttps://api.ddog-gov.com/api/v2/synthetics/suites/searchhttps://api.us2.ddog-gov.com/api/v2/synthetics/suites/searchhttps://api.datadoghq.com/api/v2/synthetics/suites/searchhttps://api.us3.datadoghq.com/api/v2/synthetics/suites/searchhttps://api.us5.datadoghq.com/api/v2/synthetics/suites/search

Overview

Search for test suites. This endpoint requires the synthetics_read permission.

OAuth apps require the synthetics_read authorization scope to access this endpoint.

Arguments

Query Strings

Name

Type

Description

query

string

The search query.

sort

string

The sort order for the results (e.g., name,asc or name,desc).

facets_only

boolean

If true, return only facets instead of full test details.

start

integer

The offset from which to start returning results.

count

integer

The maximum number of results to return.

Response

OK

Synthetics suite search response

Expand All

Field

Type

Description

data

object

Synthetics suite search response data

attributes

object

Synthetics suite search response data attributes

suites

[object]

List of Synthetic suites matching the search query.

message

string

Notification message associated with the suite.

monitor_id

int64

The associated monitor ID.

name [required]

string

Name of the suite.

options [required]

object

Object describing the extra options for a Synthetic suite.

alerting_threshold

double

Percentage of critical tests failure needed for a suite to fail.

public_id

string

The public ID for the test.

tags

[string]

Array of tags attached to the suite.

tests [required]

[object]

Array of Synthetic tests included in the suite.

alerting_criticality

enum

Alerting criticality for each the test. Allowed enum values: ignore,critical

public_id [required]

string

The public ID of the Synthetic test included in the suite.

type [required]

enum

Type of the Synthetic suite, suite. Allowed enum values: suite

default: suite

total

int32

Total number of Synthetic suites matching the search query.

id

uuid

The unique identifier of the suite search response data.

type

enum

Type for the Synthetics suites search response, suites_search. Allowed enum values: suites_search

default: suites_search

{
  "data": {
    "attributes": {
      "suites": [
        {
          "message": "Notification message",
          "monitor_id": 12345678,
          "name": "Example suite name",
          "options": {
            "alerting_threshold": "number"
          },
          "public_id": "123-abc-456",
          "tags": [
            "env:production"
          ],
          "tests": [
            {
              "alerting_criticality": "critical",
              "public_id": ""
            }
          ],
          "type": "suite"
        }
      ],
      "total": "integer"
    },
    "id": "string",
    "type": "suites_search"
  }
}

API error response.

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  # Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/synthetics/suites/search" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"
"""
Search test suites returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.synthetics_api import SyntheticsApi

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = SyntheticsApi(api_client)
    response = api_instance.search_suites()

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
# Search test suites returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::SyntheticsAPI.new
p api_instance.search_suites()

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
// Search test suites returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewSyntheticsApi(apiClient)
	resp, r, err := api.SearchSuites(ctx, *datadogV2.NewSearchSuitesOptionalParameters())

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `SyntheticsApi.SearchSuites`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `SyntheticsApi.SearchSuites`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
// Search test suites returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.SyntheticsApi;
import com.datadog.api.client.v2.model.SyntheticsSuiteSearchResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    SyntheticsApi apiInstance = new SyntheticsApi(defaultClient);

    try {
      SyntheticsSuiteSearchResponse result = apiInstance.searchSuites();
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling SyntheticsApi#searchSuites");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
// Search test suites returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_synthetics::SearchSuitesOptionalParams;
use datadog_api_client::datadogV2::api_synthetics::SyntheticsAPI;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = SyntheticsAPI::with_config(configuration);
    let resp = api
        .search_suites(SearchSuitesOptionalParams::default())
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
/**
 * Search test suites returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.SyntheticsApi(configuration);

apiInstance
  .searchSuites()
  .then((data: v2.SyntheticsSuiteSearchResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"